### Constructor

# Gtk EntryCompletion new_with_area

#### Declaration [src]

    GtkEntryCompletion*
    gtk_entry_completion_new_with_area (
      GtkCellArea* area
    )

#### Description [src]

Creates a new `GtkEntryCompletion` object using the specified `area`.

The `GtkCellArea` is used to layout cells in the underlying `GtkTreeViewColumn` for the drop-down menu.

#### Parameters

`area` | `GtkCellArea`
| The `GtkCellArea` used to layout cells.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkEntryCompletion`
| A newly created `GtkEntryCompletion` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.